Name:         glob2
Version:      0.8.21
Release:      alt1
Summary:      Globulation 2 is a Real-Time Strategy (RTS) game which reduces micro-management by automatically assigning tasks to units
License:      GPL
Group:        Games/Strategy 
URL:          http://globulation2.org
Packager:     Eugene A. Suchkov <cityhawk@altlinux.ru>
Requires:     glob2-data
Source0:       %{name}-%{version}.tar.gz
Source1:      %{name}-icons.tar.bz2
Source2:      %{name}.desktop
#Patch1:       glob2-0.8.19-gcc41.patch
#Patch2:	      glob2-sdl_ttf.patch
# Automatically added by buildreq on Wed Feb 15 2006
BuildRequires: boost-devel esound freetype2-devel gcc-c++ libSDL-devel libSDL_image-devel libSDL_net-devel libSDL_ttf-devel libmesa-devel libogg-devel libspeex-devel libstdc++-devel libvorbis-devel zlib-devel 

%description
The player chooses the number of units to assign to various tasks, and the units do their best to satisfy the requests. This allows the user to manage more units and focus on strategy rather than individual units' jobs. It can be played by a single player, through your Local Area Network [LAN], or over the Internet thanks to Ysagoon Online Gaming (pronounced yog as in yoghurt) - a meta-server allowing transparent interaction between players and the IRC chatters on #glob2 (irc.freenode.net). It features AI allowing single-player games or any possible combination of human-computer teams. Also included is a scripting language for versatile gameplay or tutorials and an integrated map editor. 


%package data
Summary:    Data files for %name
Group:      Games/Strategy

%description data
Data files for %name

%prep
%setup
%setup -a 1 -n %{name}-%{version}
#%patch1 -p1
#%patch2 -p1

%build
%configure LDFLAGS=-L%_x11libdir 
%make

%install
%makeinstall  

%__mkdir -p %buildroot%_iconsdir
%__cp -r %{name}-icons/* %buildroot%_iconsdir

%__mkdir -p %buildroot%_datadir/applications
%__install -m644 %SOURCE2 %buildroot%_datadir/applications/

%__rm -rf %buildroot%_datadir/pixmaps

%post
%update_menus

%postun
%clean_menus

%files 
%doc AUTHORS COPYING INSTALL README NEWS TODO ChangeLog    
%_bindir/%name
%_iconsdir/hicolor/*/apps/%name.png
%_datadir/applications/*.desktop

%files data

%_datadir/%{name} 

%changelog
* Mon Aug 07 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.21-alt1
- new version

* Mon May 22 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.19-alt3
- removed included SDL_ttf 

* Tue May 16 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.19-alt2
- gcc4.1 patch added 

* Tue Mar 14 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.19-alt1
- New version build for sisyphus

* Wed Feb 15 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.18-alt2
- buildreq boost-devel dependency added 

* Fri Feb 10 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.18-alt1
- New version build for sisyphus

* Wed Jan 11 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.17-alt2
- Menu bugfix 

* Mon Dec 12 2005 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.17-alt1
- New version build for sisyphus

* Tue Oct 25 2005 Eugene Suchkov <cityhawk@altlinux.ru> 0.8.15-alt1
- Inital build for sisyphus

